/*
 *  This file forms part of "TKERN" - "Troy's Kernel for Windows".
 *
 *  Copyright (C) 1994  Troy Rollo <troy@cbme.unsw.EDU.AU>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __TKIO_H
#define __TKIO_H

#ifndef __TKPROTO
#include <sys/tkproto.h>
#endif

int	open __TKPROTO((char const *pchPath, int nMode, ... /* int nAccess */));
int	close __TKPROTO((int fd));
int	read __TKPROTO((int fd, char *pchBuffer, int nBytes));
int	write __TKPROTO((int fd, char const *pchBuffer, int nBytes));
int	dup __TKPROTO((int fd));
int	dup2 __TKPROTO((int fd1, int fd2));
long	lseek __TKPROTO((int fd, long nPosition, int nStart));
int	isatty __TKPROTO((int fd));
int	pipe __TKPROTO((int *pfd));

#endif
